Docs Menu
Docs Home
/ /
MongoDB CLI

Compatibility

On this page

  • Operating Systems
  • MongoDB Service Versions

MongoDB CLI versions 1.15.1 and later support the following operating systems:

Operating System
Operating System Version
Architecture
Amazon Linux
2
x86-64, ARM
Debian
10, 11
x86-64, ARM
MacOS
10.14, 10.15, 11.0
x86-64, ARM
Microsoft Windows
10
x86-64
Microsoft Windows Server
2012, 2012R2, 2016, 2019
x86-64
Red Hat Enterprise Linux / CentOS
7, 8, 9
x86-64, ARM
SUSE Linux Enterprise Server
12, 15
x86-64, ARM
Ubuntu
18.04, 20.04, 22.04
x86-64, ARM

MongoDB CLI versions 1.0 and later are compatible with the following versions of Atlas, Cloud Manager, Ops Manager, and MongoDB server.

MongoDB Service
MongoDB Service Version

Atlas

Current

Cloud Manager

Current

Ops Manager

6.0
MongoDB server
Any released and stable version that has not reached its End of Life date. MongoDB CLI doesn't support rapid release MongoDB versions.
← Overview